%define major		2
%define libname		%mklibname %{name} %major
%define develname	%mklibname %{name} -d

Summary:	X On Screen Display, displays XMMS status information
Name:		xosd
Version:	2.2.15
Release:	%mkrel 2
License:	GPLv2
Group:		System/Libraries
URL:		https://github.com/Schlauf/libXosd
# source tarball in github currently broken
Source0:	http://ftp.debian.org/debian/pool/main/x/xosd/%{name}_%{version}.orig.tar.gz
Source1:	http://ldots.org/xosd-guide/xosd-doc-0.01.tar.bz2
Patch0:		xosd-2.2.14-fix-underquoted-calls.patch
# (anssi) drop requirement on gtk+, it is not actually used when the
# xmms plugin is not build
Patch1:		xosd-drop-gtk+.patch
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xinerama)

%description
This package contains an programs & plugins to display various things whenever they 
change (volume, track, paused/shuffle/repeat,...) in a TV set's on screen 
display fashion.

%package	tools
Group:		Graphics/Utilities
Summary:	Example applications of the xosd library
Provides:	osd_cat

%description	tools
This package contains sample applications for the xosd library that
can be used to display information in a TV set's on screen display
fashion.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library for displaying information in an OSD

%description -n	%{libname}
This package contains the shared library of xosd, it is requires by programs 
that display it's output in a TV set's on screen display fashion.

%package -n	%{develname}
Group:		Development/C
Summary:	Header files for developing programs using libxosd
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n	%{develname}
This package contains the header files you need to develop programs based on 
libxosd that display it's output in a TV set's on screen display fashion.

%prep
%autosetup -p1 -a 1

# Fix typo.
sed -e "s/diplsy_info_LDADD/display_info_LDADD/" -i src/Makefile.am

%build
%global build_cflags %build_cflags -std=gnu17
%configure --disable-static
%make_build

%install
%make_install

%multiarch_binaries %{buildroot}%{_bindir}/xosd-config

%ifarch aarch64 %arm
export QA_RPATHS=0x0001
%endif

%files tools
%doc ChangeLog README
%license COPYING
%{_bindir}/display_info
%{_bindir}/osd_cat
%{_mandir}/man1/osd_cat.1*
%{_datadir}/%{name}/

%files -n %{libname}
%license COPYING
%{_libdir}/libxosd.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog README AUTHORS xosd-doc-0.01/html
%multiarch %{multiarch_bindir}/xosd-config
%{_bindir}/xosd-config
%{_mandir}/man1/xosd-config.1*
%{_libdir}/libxosd.so
%{_includedir}/*.h
%{_datadir}/aclocal/libxosd.m4
%{_mandir}/man3/*


%changelog
* Sat Jun 07 2025 daviddavid <daviddavid> 2.2.15-2.mga10
+ Revision: 2189872
- fix build with gcc 15 using -std=gnu17

* Mon Dec 02 2024 daviddavid <daviddavid> 2.2.15-1.mga10
+ Revision: 2120673
- new version: 2.2.15

* Tue Nov 01 2022 ghibo <ghibo> 2.2.14-23.mga9
+ Revision: 1901000
- QA_RPATHS skipping for aarch64 and arm
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Jun 10 2020 daviddavid <daviddavid> 2.2.14-21.mga8
+ Revision: 1592014
- rebuild with new rpm-mageia-setup handling config.{guess,sub} update

* Fri Feb 14 2020 umeabot <umeabot> 2.2.14-20.mga8
+ Revision: 1518886
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.2.14-19.mga7
+ Revision: 1301954
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 wally <wally> 2.2.14-18.mga7
+ Revision: 1243261
- fix build on aarch64
- use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 2.2.14-17.mga6
+ Revision: 936414
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.14-16.mga5
+ Revision: 743408
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.14-15.mga5
+ Revision: 690740
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.2.14-14.mga4
+ Revision: 520706
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.2.14-13.mga3
+ Revision: 387282
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Fri Oct 12 2012 fwang <fwang> 2.2.14-12.mga3
+ Revision: 304976
- update file list

* Wed Apr 20 2011 anssi <anssi> 2.2.14-12.mga1
+ Revision: 88952
- drop configure check on unused GTK+ (drop-gtk+.patch)
- add buildrequires on X11 libraries
- remove br on gdk-pixbuf-devel (was needed for xmms plugin only)
- ensure major correctness in file list
+ erwan <erwan>
- Removing useless stuff (xmms)
+ dmorgan <dmorgan>
- Remove mdv macros
+ ahmad <ahmad>
- imported package xosd


* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 2.2.14-12mdv2010.0
+ Revision: 446260
- rebuild

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 2.2.14-11mdv2009.0
+ Revision: 262655
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.2.14-10mdv2009.0
+ Revision: 257643
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Thierry Vignaud <tv@mandriva.org> 2.2.14-8mdv2008.1
+ Revision: 140757
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.2.14-7mdv2008.1
+ Revision: 136618
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Jan 25 2007 Götz Waschk <waschk@mandriva.org> 2.2.14-7mdv2007.0
+ Revision: 113198
- unpack patch

* Tue Oct 10 2006 Götz Waschk <waschk@mandriva.org> 2.2.14-6mdv2007.1
- disable audacious

* Fri Jul 14 2006 Götz Waschk <waschk@mandriva.org> 2.2.14-5mdv2007.0
- patch for audacious

* Tue Jan 31 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2.14-4mdk
- fix underquoted calls (P0)
- utf-8!

* Fri Dec 02 2005 Götz Waschk <waschk@mandriva.org> 2.2.14-3mdk
- replace bmp by audacious

* Sun Apr 17 2005 Giuseppe Ghibò <ghibo@mandriva.com> 2.2.14-2mdk
- %%multiarch.

* Thu Nov 18 2004 Götz Waschk <waschk@linux-mandrake.com> 2.2.14-1mdk
- drop merged patches
- new version

* Wed Nov 10 2004 Götz Waschk <waschk@linux-mandrake.com> 2.2.13-2mdk
- add debian patches

* Tue Nov 09 2004 Götz Waschk <waschk@linux-mandrake.com> 2.2.13-1mdk
- add beep-media-player plugin
- new version

* Wed Sep 15 2004 Götz Waschk <waschk@linux-mandrake.com> 2.2.12-1mdk
- new version

* Sat Sep 04 2004 Götz Waschk <waschk@linux-mandrake.com> 2.2.11-1mdk
- new version

* Sat Aug 28 2004 Erwan Velu <erwan@mandrakesoft.com> 2.2.10-1mdk
- 2.2.10
- Removing Patch0 (merged upstream)

* Fri Aug 27 2004 Götz Waschk <waschk@linux-mandrake.com> 2.2.9-2mdk
- apply line width patch from debian

* Tue Aug 24 2004 Götz Waschk <waschk@linux-mandrake.com> 2.2.9-1mdk
- fix permissions
- new version

* Tue Jul 06 2004 Götz Waschk <waschk@linux-mandrake.com> 2.2.8-1mdk
- reenable libtoolize
- new version

* Thu Feb 12 2004 Götz Waschk <waschk@linux-mandrake.com> 2.2.7-4mdk
- move the xmms plugin to the xmms-xosd package
- move the xosd-config man page to the devel package
- move osd_cat to the tools package

* Thu Feb 12 2004 Michael Scherer <misc@mandrake.org> 2.2.7-3mdk
- split package, and rename it.

